{% extends '::base.html.twig' %} 
{% form_theme form_cc _self %} 

{% block form_row %} 
{% spaceless %}
    <div id="div{{id}}">
        {{ form_label(form) }}
        {{ form_errors(form) }}
        {{ form_widget(form) }}
    </div>
{% endspaceless %}
{% endblock form_row %}

{% block title %}MDR - Cobranzas - Cancelaciones{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/style.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-theme.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/icons.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
	<link href="{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}"  rel="icon" type="image/x-icon" />
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	 <div class="container" style="width:97%; margin-top:15px;">
    


	
      <div class="at_crcobranza">
			 <div id="cc_opmenu">
      				{{form(form_cc)}}
      		</div>
      	<div class="table-responsive">	
      		<table id="tbl_cancelaciones" class="table table-bordered">
      			<thead class='head_table'>
      				<tr>
      					<td>Pedido</td>
      					<td>Estatus</td>
                <td>Terminal</td>
      					<td>Numero Autorización</td>
      					<td>Fecha de Cobro</td>
      					<td>Total Cobrado</td>
      					<td>Operaciones</td>
      				</tr>
      			</thead>
      			<tbody id="body_tbl_cancelaciones">
      				
      			</tbody>
      		</table>
      	</div>	
      </div>


<!--POPUP VALIDACION SUPERVISOR-->
<div class="modal fade bs-example-modal-sm modal_base" id="pf_supervisor" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">Ingrese usuario y contraseña de <b>SUPERVISOR</b></h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <div class="input-group">
            <div class="input-group-addon"><span class="icon-user"></span></div>
            <input class="form-control" type="text" placeholder="Usuario" id="user_sup">
          </div>
        </div>
        <div class="form-group">
          <div class="input-group">
            <div class="input-group-addon"><span class="icon-key"></span></div>
            <input class="form-control" type="password" placeholder="Contraseña" id="pass_sup">
          </div>
        </div>
        <div class="row">
          <div class="col-md-12" id="super_loading" style="text-align: center;"></div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" id="btn_cancel_sup">Cancelar</button>
        <button type="button" class="btn btn-primary" id="btn_aceptar_sup" onclick="validate_supervisor()">Aceptar</button>
      </div>
    </div>
  </div>
</div>

<!--POPUP CANCELACION -->
<div class="modal fade modal_base" id="popup_cancelacion" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" id="title_cancelacion"></h3>
      </div>
      <div class="modal-body" id="body_cancelacion">

      </div>
      <div class="modal-footer" id="footer_cancelacion">
            
      </div>
    </div>
  </div>
</div>

	</div>	

{% endblock %}
{% block javascripts %}
  <script>
      //Loading para consulta de pedido
        var img_loding = new Image();
        img_loding.src = "{{ asset('vendor/img/lines_load.gif') }}";
  </script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
	<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/bootstrap.min.js') }}"></script>
	<script type="text/javascript" src="{{ asset('vendor/js/blockui.js') }}"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
	<script>var canceladosJSON = {{ pcancelados|json_encode()|raw }};</script>	
	<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/tools_cc.js') }}"></script>

{% endblock %}